%define libxvidcore 4

Summary: XViDCore - XViD Video En- and Decoder
Name: 	libxvidcore%{libxvidcore}
Version: 	1.2.2 
Release: 	1.4
Source: 	xvidcore-%{version}.tar.bz2
License: 	GPL
Group: System/Libraries
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires: nasm
Provides: xvidcore
Obsoletes: xvidcore

%description
XVidCore - The XViD Video Codec
%prep
%setup -q -n xvidcore

%package -n libxvidcore-devel
Summary: XVidCore Headers and library
Requires:       libxvidcore%{libxvidcore} = %{version}
Group: Development/Libraries/C and C++
Provides: xvidcore-devel
Obsoletes: xvidcore-devel

%description -n libxvidcore-devel
Development files to link against xvidcore

%build 
cd build/generic
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make %{?jobs:-j %jobs}


%install
cd build/generic
make DESTDIR=%{buildroot} install

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_libdir}/libxvidcore.so.%{libxvidcore}*

%files -n libxvidcore-devel
%defattr(-,root,root)
%{_prefix}/include/xvid.h
%{_libdir}/libxvidcore.a

%changelog
*Thu May 29 2009 - Dominique Leuenberger <dominique-rpm@leuenberger.net> 1.2.2
- Update to version 1.2.2
    * Workaround for nasm bug with Mach-O/OSX target
    * Fix for missing resync marker range check (reported by IBM ISS)
    * Improved precision for RGB<->YUV conversions
    * Fix for potential RGB24 access violation
    * Updated compiler options for Apple PPC target
    * Fixed MSVC6 projects to work for path names with spaces
* Tue Dec 4 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net> 1.2.1
- Update to version 1.2.1
    * Fix for 'nested function' potential compilation error
    * WIN64 fix: Properly treat xmm6/xmm7 registers as non-volatile
    * Added test for WIN64 xmm6/xmm7 preservation to xvid_bench
* Mon Dec 1 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net> 1.2.0
- Update to version 1.2.0
    * Complete AMD64/EM64T 64-bit support
    * Added support for WIN64 platform
    * Multi-threaded encoding support
    * SSE3/SSE4 optimizations
    * Faster and more precise intra quantization
    * Fixed bug in packed pixel format colorspace conversion
    * Noexec-stack security patch
    * Fix for bad resync marker length
    * Improved decoder robustness for broken streams containing B-frames
    * Fix for potential out-of-bound access to MV bits table
    * Added SSIM quality-metric plugin 
* Fri Sep 19 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Changed spec layout for SHLib policy.
* Fri Jun 29 2007 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Upgrade to version 1.1.3
  * Fixed a potential vulnerability in mbcoding.c reported by Trixter
    Jack at Secunia
* Sun Dec 3 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Fixed group memberships for Yast tools
- First public released package
* Fri Oct 20 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Initial release 
